Issue 118760

Summary: split the first table cell vertically,then undo&redo, the presentation app will crash
Product: Impress Reporter: Li Feng Wang <phoenix.wanglf>
Component: editingAssignee: Tang Meng <tmyl2010>
Status: CLOSED FIXED QA Contact:
Severity: Critical    
Priority: P3 CC: issues, jsc, leiw, orw, pritesh_patel_1
Version: 3.4.0 Beta (OOo)Keywords: crash
Target Milestone: ---Flags: jsc: 3.4_release_blocker+
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
error screenshot none

Description Li Feng Wang 2012-01-11 07:23:45 UTC
reproduce steps
1)create new table with row more than 5
2)merge first column,select all rows
3)split first cell to 5 cells Vertically 
4)undo and redo

presentation application will crash
Comment 1 Marcus 2012-01-11 20:20:26 UTC
same behavior for me with OOo 3.3.0 on Linux
Comment 2 Pritesh Patel 2012-01-14 20:35:11 UTC
I can also verify that this also happens on windows 7 64x
Comment 3 Li Feng Wang 2012-03-14 03:13:42 UTC
reproduce on build r1296433

now it will pop up a error, then crash. the error screenshot is in attachment.
Comment 4 Li Feng Wang 2012-03-14 03:16:31 UTC
Created attachment 77323 [details]
error screenshot
Comment 5 Oliver-Rainer Wittmann 2012-03-15 12:56:04 UTC
I reproduce the crash also in OOo 3.1
Comment 6 Tang Meng 2012-03-16 06:29:00 UTC
The undo remove columns algorithm is incorrect. All columns will insert the same cell. The incorrect code is in TableModel::UndoRemoveColumns(sal_Int32, ColumnVector&, CellVector&). The solution is to correct the algorithm, insert cells into column one by one.
Comment 7 Wang Lei 2012-03-16 08:09:29 UTC
Submit code for Tang Meng.

Fix this issue with revision 1301361
Comment 8 Oliver-Rainer Wittmann 2012-03-16 08:38:57 UTC
marking issue as fixed.
Comment 9 Li Feng Wang 2012-03-27 02:56:37 UTC
Have no problem on build r1303653(developer snapshot)